FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 10-13-2012, 09:18 AM
phanisvara
 
Default digikam doesn't find libIlmImf.so.6 after update to openexr

On Saturday 13 Oct 2012 10:44:57 Florian Pritz wrote:
> > digikam: error while loading shared libraries: libIlmImf.so.6: cannot
> > open
> > shared object file: No such file or directory
> >
> >
> >
> > /usr/lib/libIlmImf.so.6 used to be provided by openexr; now it's called
> > libIlmImf.so.7 instead. providing a symlink with the old name, pointing to
> > the new one solved the problem.
>
> Symlinks are NOT a solution, they are a very dirty hack and can blow up
> in your face. There is a reason why upstream developers change version
> numbers and this reason is that the new library is not compatible with
> the old one.
>
> Just rebuild the program using the library against the new version and
> you won't run into any trouble.

of course, but i expected this to be fixed soon, and it was: another update to
gegl, kdebase, kdebase-runtime, kdelibs, and opencv solved the problem (not
sure which one).

in the meantime, the dirty hack let me use digikam, and it didn't blow up in
my face. if it had, i'd have known whom to thank for, of course.

if i wanted to compile everything myself i'd be running gentoo.

--
phani.
 

Thread Tools




All times are GMT. The time now is 10:26 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org